> ## Documentation Index
> Fetch the complete documentation index at: https://avala.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Post fleetrecordings managed uploadmultipartparts

> The existing authentication contract, with exact recording-device ownership.



## OpenAPI

````yaml /openapi.yml post /fleet/recordings/{uid}/managed-upload/multipart/parts/
openapi: 3.0.0
info:
  title: Avala API
  description: >

    # Authentication


    ## Generating an API Key


    The Avala SDK uses API keys to authenticate requests. You can create and
    manage your API keys from the

    Settings page of Mission Control.


    Follow these steps to generate a new API key:


    1. Open your settings page by clicking on your user avatar located at the
    top right-hand corner of any
        Mission Control screen, and select `Settings`.
    2. From the left-hand sub-menu, select `Security & Identity`.

    3. Click on `New API Key`, enter a name for the key, and then click `Create
    key`.


    The new key will be automatically copied to your clipboard. Please note, for
    security reasons, the key

    will not be accessible once you close the window. Ensure you store it in a
    safe location before closing

    the pop-up modal.


    ### Video walkthrough of API key generation


    <iframe class="embedly-embed"
    src="//cdn.embedly.com/widgets/media.html?src=https%3A%2F%2F
        www.youtube.com%2Fembed%2FTYdLhkAAbLA%3Ffeature%3Doembed&display_name=YouTube&url=https%3A%2F%2F
        www.youtube.com%2Fwatch%3Fv%3DTYdLhkAAbLA&image=https%3A%2F%2Fi.ytimg.com%2Fvi%2FTYdLhkAAbLA%2F
        hqdefault.jpg&key=7788cb384c9f4d5dbbdbeffd9fe4b92f&type=text%2Fhtml&schema=youtube" width="854"
        height="480" scrolling="no" title="YouTube embed" frameborder="0" allow="autoplay;
        fullscreen; encrypted-media; picture-in-picture;" allowfullscreen="true"></iframe>


    ## Authenticating with an API Key


    This is the easiest part! Just add a header named `X-Avala-Api-Key` to your
    requests and set the

    previously generated API Key as the value.
  termsOfService: https://avala.ai/legal/terms
  contact:
    email: support@avala.ai
  version: v1
servers:
  - url: https://api.avala.ai/api/v1
security:
  - API_Key: []
  - JWT: []
tags:
  - name: datasets
    description: To be completed...
  - name: projects
    description: To be completed...
  - name: tasks
    description: List and retrieve annotation tasks.
  - name: exports
    description: To be completed...
paths:
  /fleet/recordings/{uid}/managed-upload/multipart/parts/:
    parameters:
      - name: uid
        in: path
        required: true
        schema:
          type: string
    post:
      tags:
        - fleet
      description: >-
        The existing authentication contract, with exact recording-device
        ownership.
      operationId: fleet_recordings_managed-upload_multipart_parts
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ManagedPartsRequest'
        required: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ManagedPartsResponse'
components:
  schemas:
    ManagedPartsRequest:
      required:
        - protocol
        - session_uid
        - file_uid
        - generation_uid
        - numbers
      type: object
      properties:
        protocol:
          title: Protocol
          type: string
          enum:
            - fleet-managed-mcap-v1
        session_uid:
          title: Session uid
          type: string
          format: uuid
        file_uid:
          title: File uid
          type: string
          format: uuid
        generation_uid:
          title: Generation uid
          type: string
          format: uuid
        numbers:
          type: array
          items:
            type: integer
            maximum: 10000
            minimum: 1
          maxItems: 100
          minItems: 1
    ManagedPartsResponse:
      required:
        - protocol
        - session_uid
        - file_uid
        - generation_uid
        - parts
      type: object
      properties:
        protocol:
          title: Protocol
          type: string
          enum:
            - fleet-managed-mcap-v1
        session_uid:
          title: Session uid
          type: string
          format: uuid
        file_uid:
          title: File uid
          type: string
          format: uuid
        generation_uid:
          title: Generation uid
          type: string
          format: uuid
        parts:
          type: array
          items:
            $ref: '#/components/schemas/ManagedSignedPartResponse'
    ManagedSignedPartResponse:
      required:
        - grant_uid
        - part_number
        - offset
        - size_bytes
        - url
        - headers
        - expires_at
      type: object
      properties:
        grant_uid:
          title: Grant uid
          type: string
          format: uuid
        part_number:
          title: Part number
          type: integer
        offset:
          title: Offset
          type: integer
        size_bytes:
          title: Size bytes
          type: integer
        url:
          title: Url
          type: string
          minLength: 1
        headers:
          title: Headers
          type: object
          additionalProperties:
            type: string
            minLength: 1
        expires_at:
          title: Expires at
          type: string
          format: date-time
  securitySchemes:
    API_Key:
      type: apiKey
      name: X-Avala-Api-Key
      in: header
      description: >-
        API key for authentication. Generate one in Mission Control Settings >
        Security & Identity.
    JWT:
      type: apiKey
      name: Authorization
      in: header
      description: JWT token with 'JWT' prefix, e.g., 'JWT eyJhbGciOiJIUzI1NiIsInR...'

````